Добро пожаловать в форум, Guest  >>   Войти | Регистрация | Поиск | Правила | В избранное | Подписаться
Все форумы / Firebird, InterBase Новый топик    Ответить
 Firebird 3.0  [new]
kirill_sg
Member

Откуда:
Сообщений: 16
Добрый день.
Пытаюсь поставить Firebird-3.0.2.32703-0.i686.tar
добавил libtommath вроде поставился. при старте firebird говорит
Could not find acceptable ICU library
Security database error
причем в системе

rpm -ql libicu52_1
/usr/lib64/libicudata.so.52.1
/usr/lib64/libicudata.so.52_1
/usr/lib64/libicui18n.so.52.1
/usr/lib64/libicui18n.so.52_1
/usr/lib64/libicuio.so.52.1
/usr/lib64/libicuio.so.52_1
/usr/lib64/libicule.so.52.1
/usr/lib64/libicule.so.52_1
/usr/lib64/libiculx.so.52.1
/usr/lib64/libiculx.so.52_1
/usr/lib64/libicutest.so.52.1
/usr/lib64/libicutest.so.52_1
/usr/lib64/libicutu.so.52.1
/usr/lib64/libicutu.so.52_1
/usr/lib64/libicuuc.so.52.1
/usr/lib64/libicuuc.so.52_1


вопрос: чего ему надо и как запустить?
26 сен 17, 10:04    [20822674]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
Док
Member

Откуда: Казань
Сообщений: 5219
kirill_sg,

оно?

зы. у меня при установке на Debian 9 тоже ругался на libtommath. В итоге оказалось, что симлинк неправильно создавался (CORE-5445)
26 сен 17, 10:13    [20822697]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
kirill_sg
Member

Откуда:
Сообщений: 16
Дык я вообще не гружу ничего. Переключился в режим SS и просто запускаю ./firebird
он сразу и ругается. библиотеки лежат в /usr/lib64, все доступны
26 сен 17, 10:25    [20822751]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
Arioch
Member

Откуда:
Сообщений: 9144
kirill_sg
Firebird-3.0.2.32703-0.i686.tar


i686 - 32-разрядный

kirill_sg
/usr/lib64/libicudata.so.52.1


lib64 - 64-разрядная?
26 сен 17, 11:37    [20823203]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
kirill_sg
Member

Откуда:
Сообщений: 16
сорри, Firebird-3.0.2.32703-0.amd64.tar
26 сен 17, 13:09    [20823602]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
hvlad
Member

Откуда:
Сообщений: 9312
kirill_sg,

попробуй подложить ему симлинки с именами libicuXXX.so.52
т.е. без последней 1
26 сен 17, 13:14    [20823618]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
Arioch
Member

Откуда:
Сообщений: 9144
kirill_sg
сорри, Firebird-3.0.2.32703-0.amd64.tar


а ты уверен, что запускаешь именно его, а не ранее поставленный i686 ?
26 сен 17, 13:28    [20823670]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
kirill_sg
Member

Откуда:
Сообщений: 16
1. удалил установленный firebird
2. сделал симлинки libicu без .1
3. начал устанавливать
# ./install.sh

Firebird 3.0.2.32703-0.amd64 Installation

Press Enter to start installation or ^C to abort
Extracting install data
Updated /etc/services
Please enter new password for SYSDBA user: masterkey
unable to open database
Could not find acceptable ICU library


теперь висит и все

4. оно развернулось при попытке запуска
./gsec -add sysdba -pass masterkey
unable to open database
Could not find acceptable ICU library

похоже не может к security обратиться
26 сен 17, 13:51    [20823776]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
kirill_sg
Member

Откуда:
Сообщений: 16
инсталяция закончилась. отвисла.
./install.sh

Firebird 3.0.2.32703-0.amd64 Installation

Press Enter to start installation or ^C to abort
Extracting install data
Updated /etc/services
Please enter new password for SYSDBA user: masterkey
unable to open database
Could not find acceptable ICU library



Install completed
26 сен 17, 13:52    [20823787]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
kdv
Member

Откуда: iBase.ru
Сообщений: 26702
kirill_sg,

strings /usr/lib64/libicuuc.so.52 | grep u_init

прошу.
27 окт 17, 18:42    [20907719]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
kirill_sg
Member

Откуда:
Сообщений: 16
kdv,
msk-fb3-test:/opt/firebird/bin # strings /usr/lib64/libicuuc.so.52 | grep u_init
u_init_52_1
u_init
msk-fb3-test:/opt/firebird/bin #
30 окт 17, 13:03    [20911678]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
kdv
Member

Откуда: iBase.ru
Сообщений: 26702
kirill_sg,

"Ну вот и причина...
1 в конце
Мы понимаем форматы u_init_5_2, u_init_52, u_init_5 и u_init."
30 окт 17, 15:23    [20912345]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
Arioch
Member

Откуда:
Сообщений: 9144
kdv,

м.б. это правильно и вы умеете только с ICU 5.2.0, а с 5.2.1 не пробовали ?

можно ли на RHEL'e поставтиь обе версии libicu ? через alternatives или ещё как-нибудь
30 окт 17, 15:45    [20912446]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
kdv
Member

Откуда: iBase.ru
Сообщений: 26702
Arioch,

там suse enterprise.
30 окт 17, 16:34    [20912690]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
Ivan_Pisarevsky
Member

Откуда: НН
Сообщений: 7822
kdv
там suse enterprise.
на suse трешка аккуратненько ставится из репа. Ну по крайней мере я ставил и меня работает.
30 окт 17, 18:01    [20913098]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
kdv
Member

Откуда: iBase.ru
Сообщений: 26702
Ivan_Pisarevsky,

"трешка" и 3.0, 3.0.1, 3.0.2 - разные вещи. Если там 3.0.2 - можно. Если нет - нет смысла.
30 окт 17, 19:54    [20913401]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
Симонов Денис
Member

Откуда: Рязань
Сообщений: 7419
да в 3.0.2 по сравнению с изначальной 3.0.0 производительность выше
30 окт 17, 19:58    [20913412]     Ответить | Цитировать Сообщить модератору
 Re: Firebird 3.0  [new]
Ivan_Pisarevsky
Member

Откуда: НН
Сообщений: 7822
kdv
Если там 3.0.2 - можно.
https://software.opensuse.org/package/firebird

под OpenSuse 42.3 есть и 3.0.2, и снапшоты. Ну и под SLES что-то выложено, я как-то с энтерпрайзом не очень.
30 окт 17, 22:34    [20913803]     Ответить | Цитировать Сообщить модератору
Все форумы / Firebird, InterBase Ответить